// Ersetzen.cpp: Hauptprojektdatei.

#include "stdafx.h"

using namespace System;
using namespace System::Text::RegularExpressions;


int main(array<System::String ^> ^args)
{
   String^ text = 
"                                                                        \n"
" Madeleine Smith                                                        \n"
"                                                                        \n"
" Der Prozess gegen Madeleine Smith wegen der Ermordung ihres            \n"
" Liebhabers Pierre Emile L´Angelier durch Verabreichung von Arsenik     \n"
" endete am Donnerstag, dem 9. Juli 1857, mit dem Richterspruch          \n"
" 'Schuldbeweis nicht erbracht', und sie verließ den High Court          \n"
" of Justiciary in Edinburgh durch einen Nebeneingang als freier Mensch. \n" ;



   Console::WriteLine(gcnew String('-', 20));
   Console::WriteLine("\n Original: \n\n {0}", text);
        
   String^ pattern = "Madeleine Smith";
   Regex^ re = gcnew Regex(pattern);        
   text = re->Replace(text, "Mrs Smith");
        
   Console::WriteLine(gcnew String('-', 20));
   Console::WriteLine("\n Faelschung: \n\n {0}", text);
   
   Console::ReadLine();
   return 0;
}
